Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  In Product FileName vom aktiven Part auslesen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   In Product FileName vom aktiven Part auslesen (193 mal gelesen)
Suchtiii94
Mitglied
Konstrukteur

Sehen Sie sich das Profil von Suchtiii94 an!   Senden Sie eine Private Message an Suchtiii94  Schreiben Sie einen Gästebucheintrag für Suchtiii94

Beiträge: 6
Registriert: 23.10.2017

erstellt am: 06. Nov. 2018 15:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich erstelle gerade wieder ein Makro.
Dieses soll Universell über Reactions gestartet werden.

Mir fehlt nur noch die Deklarierung meines aktiven Parts.

Dazu habe ich bereits folgenden Code:

Code:
Dim mySelection as Selection
Set mySelection = CATIA.ActiveDocument.Selection
mySelection.Search ("'Part Design'.Part.Name=*;in")


Dadurch kann ich immer im aktiven part den "Namen" markieren.

Wie bekomme ich von diesem Namen den Filename heraus?

Das ist der letzte Schritt der mir noch fehlt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10281
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 06. Nov. 2018 15:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Suchtiii94 10 Unities + Antwort hilfreich

Servus

Schau dir mal diesen Code an:

Code:
Sub CATMain()

Dim mySelection as Selection
dim mySelectedObject as Object
dim i as integer

Set mySelection = CATIA.ActiveDocument.Selection
mySelection.Search "CATPrtSearch.PartFeature,in"

if mySelection.Count <> 0 then 'wurde was gefunden
    for i = 1 to mySelection.Count 'Schleife über alles oder ggf nur auf 1. Element zugreifen
        Set mySelectedObject = mySelection.item2(i).value  'auf das i-te Element zugreifen
        MsgBox TypeName(mySelectedObject)  'was für ein Typ hat dies?
        msgBox mySelectedObject.Parent.FullName  ' zum Document hochhangeln
    next
end if

End Sub


Gruß
Bernd

PS: Bitte Systeminfo ergänzen

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Suchtiii94
Mitglied
Konstrukteur

Sehen Sie sich das Profil von Suchtiii94 an!   Senden Sie eine Private Message an Suchtiii94  Schreiben Sie einen Gästebucheintrag für Suchtiii94

Beiträge: 6
Registriert: 23.10.2017

erstellt am: 07. Nov. 2018 07:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus,

vielen vielen Dank es funktioniert jetzt alles so wie es soll 

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz